Guilds
Get the role rewards changes for a specific level
The ultimate no-paywall & featureful leveling bot. Transfer your MEE6/Amari/Polaris leaderboard to get started!
GET
/guilds/{guildId}/role-rewards/levelAuthorization
apiKey X-Api-Key<token>
The user's API key to authenticate requests
In: header
Path Parameters
guildId*string
A Discord snowflake identifier
Match
^[1-9]\d+$Length
17 <= length <= 19Query Parameters
level*integer
The new level of the user
Range
0 <= value <= 10000userId*string
A Discord snowflake identifier. Currently, this is not used but may be in the future
Match
^[1-9]\d+$Length
17 <= length <= 19Response Body
application/json
application/json
curl -X GET "https://api.lurkr.gg/v2/guilds/stringstringstrin/role-rewards/level?level=10000&userId=stringstringstrin"{ "addRoles": [ "stringstringstrin" ], "removeRoles": [ "stringstringstrin" ]}{ "message": "string"}